haskore-0.2.0.3: The Haskore Computer Music System

Safe Haskell | None

Haskore.Composition.Drum

# Documentation

type T = Drum Source

data Drum

Constructors

AcousticBassDrum |
BassDrum1 |
SideStick |
AcousticSnare |
HandClap |
ElectricSnare |
LowFloorTom |
ClosedHiHat |
HighFloorTom |
PedalHiHat |
LowTom |
OpenHiHat |
LowMidTom |
HiMidTom |
CrashCymbal1 |
HighTom |
RideCymbal1 |
ChineseCymbal |
RideBell |
Tambourine |
SplashCymbal |
Cowbell |
CrashCymbal2 |
Vibraslap |
RideCymbal2 |
HiBongo |
LowBongo |
MuteHiConga |
OpenHiConga |
LowConga |
HighTimbale |
LowTimbale |
HighAgogo |
LowAgogo |
Cabasa |
Maracas |
ShortWhistle |
LongWhistle |
ShortGuiro |
LongGuiro |
Claves |
HiWoodBlock |
LowWoodBlock |
MuteCuica |
OpenCuica |
MuteTriangle |
OpenTriangle |

Instances

Bounded Drum |
Enum Drum |
Eq Drum |
Ord Drum |
Show Drum |
Ix Drum |
Random Drum |
Arbitrary Drum |

data Element Source

Constructors

R T |
N T NoteAttributes |
Roll T T NoteAttributes |
Rolln Integer T NoteAttributes |

na :: NoteAttributes Source

toMusic :: drum -> T -> NoteAttributes -> T drum instrSource

toMusicDefaultAttr :: drum -> T -> T drum instrSource

lineToMusic :: T -> [Element] -> T Source

elementToMusic :: T -> Element -> T Source

funkGroove :: T Source